man(5)

NAME
nfsrahead - Configure the readahead for NFS mounts

SYNOPSIS
nfsrahead [-F] [-d] <device>

DESCRIPTION
nfsrahead is a tool intended to be used with udev to set the read_ahead_kb parameter of NFS mounts, according to the configuration file (see CONFIGURATION). device is the device number for the NFS backing device as provided by the kernel.

OPTIONS

-F  Send messages to stderr instead of syslog

-d  Increase the debugging level.

CONFIGURATION
nfsrahead is configured in /etc/nfs.conf, in the section titled nfsrahead. It accepts the following configurations.

nfs=<value>
    The readahead value applied to NFSv3 mounts.

nfs4=<value>
    The readahead value applied to NFSv4 mounts.

default=<value>
    The default configuration when none of the configurations above is set.

EXAMPLE CONFIGURATION
[nfsrahead]
nfs=15000 # readahead of 15000 for NFSv3 mounts
nfs4=16000 # readahead of 16000 for NFSv4 mounts
default=128 # default is 128

SEE ALSO
mount.nfs(8), nfs(5), nfs.conf(5), udev(7), bcc-readahead(8)

BUGS
No known bugs.

AUTHOR
Thiago Rafael Becker <trbecker@gmail.com>